<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>Installing GSSMP</title>
</head>
<body>

<address><a href="index.html">Home</a> | Install | 
<a href="use.html">Use</a> |
<a href="screenshots.html">Screenshots</a> |
<a href="developers.html">Developers</a> |
<a href="contact.html">Contact</a></address>

<h1>Installing GSSMP</h1>

<p>If your Linux distribution provides a package of GSSMP, you should
generally use that, but if not, you should be able to use the binary
package for your distro provided here, or failing that, the generic binary
tarball.</p>

<h2>Before you start</h2>

<p>You will need the GNOME and gstreamer libraries installed,
and you will need gstreamer plugins for the music file formats you want
GSSMP to play.</p>

<p>On most systems with GNOME, everything you need will be installed.  If
you have problems, check out the
<a href="install-prerequisites.html">Prerequisites</a> page.</p>

<p>If you can't play back MP3s (and want to), read the
<a href="install-mp3.html">MP3 playback</a> page.</p>

<h2>Ubuntu</h2>

<p>If you use Ubuntu, download the .deb file from the
<a href="http://sourceforge.net/project/showfiles.php?group_id=187144&amp;package_id=218378">binary
download page</a>, cd into the directory where you downloaded it, and
install it like so:</p>

<p><tt>sudo dpkg --install gssmp-*.deb</tt></p>

<p>You can now run GSSMP from the Audio menu, or by typing:</p>

<p><tt>gssmp</tt></p>

<h2>Debian, MEPIS, Linspire and other Debian-derived distros</h2>

<p>If you use Debian or another Debian-derived distro, the Ubuntu deb file
might work for you.  If it doesn't please get in touch on the developers'
mailing list and help us work out how to fix it!</p>

<p>Also, please get in touch if it does work, so we can update these
instructions.</p>

<h2>Fedora</h2>

<p>If you use Fedora, download the .rpm file from the
<a href="http://sourceforge.net/project/showfiles.php?group_id=187144&amp;package_id=218378">binary
download page</a>, cd into the directory where you downloaded it, and
install it like so:</p>

<p><tt>su -c rpm --install gssmp-*.rpm</tt></p>

<p>You can now run GSSMP from the Audio menu, or by typing:</p>

<p><tt>gssmp</tt></p>

<h2>SUSE, Mandriva, Red Hat and other RPM-based distros</h2>

<p>If you use a different distribution that is RPM-based, the Fedora RPM
might work for you.  If it doesn't please get in touch on the developers'
mailing list and help us work out how to fix it!</p>

<p>Also, please get in touch if it does work, so we can update these
instructions.</p>

<h2>Other distributions</h2>

<p>Most distributions should work fine with the binary tarball (see below).
Just make sure you've installed the prerequisites as explained at the top
of this page.</p>

<p>Please let us know if you get GSSMP working on your distro - we'd love
to explain how to do it here.</p>

<p>We'd also like to hear from people willing to package GSSMP for their
distro.</p>

<h2>Running the binary tarball</h2>

<p>If you are using a different distribution, or have trouble with the
instructions above, try using the binary tarball.</p>

<p>Download the .tar.bz2 file from the
<a href="http://sourceforge.net/project/showfiles.php?group_id=187144&amp;package_id=218378">binary
download page</a> and untar and run it like so:</p>

<p><tt>tar -xjf gssmp-*-bin.tar.bz2<br />
cd gssmp-*-bin<br />
cd bin<br />
./gssmp</tt></p>

<p>If something goes wrong, email the mailing list (see the
<a href="contact.html">Contact</a> page) and we'll try to help.</p>

<h2>Other operating systems</h2>

<p>To use GSSMP on a non-Linux operating system you will need to do some
investigation - at the very least you will need to compile the program
from source (see the <a href="developers.html">Developers</a> page for
details), and you may need to port other GNOME components to the system
too.</p>

<p>If you do manage to get GSSMP to work on your operating system, please
do get in touch with us - we'd love to have easy-to-install packages for
as many systems as possible.</p>

<h2>Using GSSMP with last.fm</h2>

<p><a href="http://last.fm">last.fm</a> is a web site that collects statistics
about the music you and others are playing and recommends music you might
be interested in.  If you want to get GSSMP to submit information about what
tracks you are playing, you will need to
<a href="install-lastfm.html">install lastfmsubmitd</a>, which is presently
not as easy as it should be.</p>

<div style="float:right"><a href="http://sourceforge.net/projects/gssmp/"><img src="http://sflogo.sourceforge.net/sflogo.php?group_id=187144&amp;type=2" width="125" height="37" alt="SourceForge.net Logo" /></a></div>

<address><a href="index.html">Home</a> | Install | 
<a href="use.html">Use</a> |
<a href="screenshots.html">Screenshots</a> |
<a href="developers.html">Developers</a> |
<a href="contact.html">Contact</a></address>

</body>
</html>

